%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtimageformats
Version:       6.7.3
Release:       1mamba
Summary:       Qt6 image formats components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtimageformats-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libjasper-devel
BuildRequires: libjpeg-devel
BuildRequires: libmng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END

%description
Qt6 image formats components.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtimageformats-everywhere-src-%{version}

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/qt6/plugins/imageformats
%{_libdir}/qt6/plugins/imageformats/lib*.so
%doc LICENSES

%files devel
%defattr(-,root,root)
%{_libdir}/cmake/Qt6/FindLibmng.cmake
%{_libdir}/cmake/Qt6/FindWrapJasper.cmake
%{_libdir}/cmake/Qt6/FindWrapWebP.cmake
%{_libdir}/cmake/Qt6Gui/Qt6*.cmake

%changelog
* Tue Oct 08 2024 Automatic Build System <autodist@openmamba.org> 6.7.3-1mamba
- automatic version update by autodist

* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 6.7.2-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 6.7.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.7.0-1mamba
- update to 6.7.0

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 6.6.3-1mamba
- automatic version update by autodist

* Thu Feb 15 2024 Automatic Build System <autodist@openmamba.org> 6.6.2-1mamba
- automatic version update by autodist

* Tue Nov 28 2023 Automatic Build System <autodist@mambasoft.it> 6.6.1-1mamba
- automatic version update by autodist

* Tue Oct 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6.0-1mamba
- update to 6.6.0

* Fri Sep 29 2023 Automatic Build System <autodist@mambasoft.it> 6.5.3-1mamba
- automatic version update by autodist

* Fri Jul 21 2023 Automatic Build System <autodist@mambasoft.it> 6.5.2-1mamba
- automatic version update by autodist

* Sat May 27 2023 Automatic Build System <autodist@mambasoft.it> 6.5.1-1mamba
- automatic version update by autodist

* Sun Apr 16 2023 Automatic Build System <autodist@mambasoft.it> 6.5.0-1mamba
- automatic version update by autodist

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 6.4.3-1mamba
- automatic version update by autodist

* Sat Jan 07 2023 Automatic Build System <autodist@mambasoft.it> 6.4.2-1mamba
- automatic version update by autodist

* Wed Nov 16 2022 Automatic Build System <autodist@mambasoft.it> 6.4.1-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.0-1mamba
- update to 6.4.0

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Thu Jun 16 2022 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 6.3.0-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Jan 29 2022 Automatic Build System <autodist@mambasoft.it> 6.2.3-1mamba
- automatic version update by autodist

* Mon Jan 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.2-1mamba
- update to 6.2.2

* Sat Nov 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
